Bug 16092 - KDE2: kmail crash trying to send message
KDE2: kmail crash trying to send message
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-13 01:46 EDT by Gene Czarcinski
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-22 11:18:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2000-08-13 01:46:16 EDT
I am running kde2 kmail (I have /usr/lib/kde2/bin first in path) under
sawfish/gnome.

I am running kmail and attempted to compose/send a message.  kmail crashed
with SIGSEGV.  I got the following traceback:

Here is a backtrace generated by DrKonqi:
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
[New Thread 1024 (LWP 1135)]
0x4131bed9 in __wait4 () from /lib/libc.so.6
#0  0x4131bed9 in __wait4 () from /lib/libc.so.6
#1  0x41383668 in __DTOR_END__ () from /lib/libc.so.6
#2  0x40a2ac67 in KCrash::defaultCrashHandler ()
   from /usr/lib/kde2/lib/libkdecore.so.3
#3  <signal handler called>
#4  0x40edc3cc in QToolBar::~QToolBar () from
/usr/lib/qt-2.2.0/lib/libqt.so.2
#5  0x40701287 in KToolBar::~KToolBar () from
/usr/lib/kde2/lib/libkdeui.so.3
#6  0x40dfcf8c in QWidget::~QWidget () from
/usr/lib/qt-2.2.0/lib/libqt.so.2
#7  0x40e79a87 in QMainWindow::~QMainWindow ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#8  0x4074b6a7 in KMainWindow::~KMainWindow ()
   from /usr/lib/kde2/lib/libkdeui.so.3
#9  0x4075130c in KTMainWindow::~KTMainWindow ()
   from /usr/lib/kde2/lib/libkdeui.so.3
#10 0x813a4e8 in KDialog::marginHint ()
#11 0x80b06b8 in KDialog::marginHint ()
#12 0x40e0135a in QWidget::close () from /usr/lib/qt-2.2.0/lib/libqt.so.2
#13 0x80bfac4 in KDialog::marginHint ()
#14 0x80bfd6e in KDialog::marginHint ()
#15 0x40d9b6eb in QObject::activate_signal ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#16 0x407d3f52 in KAction::activated () from
/usr/lib/kde2/lib/libkdeui.so.3
#17 0x407bfa0b in KAction::slotActivated ()
   from /usr/lib/kde2/lib/libkdeui.so.3
#18 0x40d9b6eb in QObject::activate_signal ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#19 0x40f4a852 in QButton::clicked () from /usr/lib/qt-2.2.0/lib/libqt.so.2
#20 0x40e0e59d in QButton::mouseReleaseEvent ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#21 0x40e01cc0 in QWidget::event () from /usr/lib/qt-2.2.0/lib/libqt.so.2
#22 0x40d3346e in QApplication::notify () from
/usr/lib/qt-2.2.0/lib/libqt.so.2
#23 0x40cb8eda in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#24 0x40cb63e0 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#25 0x40cb5bb7 in QApplication::processNextEvent ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#26 0x40d34afc in QApplication::enter_loop ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#27 0x40cb5b37 in QApplication::exec () from
/usr/lib/qt-2.2.0/lib/libqt.so.2
#28 0x817bbcf in KDialog::marginHint ()
#29 0x41283665 in __libc_start_main (
    main=0x817bab0 <KDialog::marginHint(void)+1135544>, argc=5, 
    ubp_av=0xbffff974, init=0x80607d8 <_init>, fini=0x81b0448 <_fini>, 
    rtld_fini=0x4000dca4 <_dl_fini>, stack_end=0xbffff96c)
    at ../sysdeps/generic/libc-start.c:111
Comment 1 Bernhard Rosenkraenzer 2000-08-19 11:14:22 EDT
Please report this to submit@bugs.kde.org.
Comment 2 Gene Czarcinski 2000-08-22 11:18:47 EDT
The "qt" in rc2 is outdated.  This is the response I got from reporting the bug:


This was a QT bug, fixed some time ago. Get a newer QT.

BFN,
Don.
Comment 3 Bernhard Rosenkraenzer 2000-08-23 14:39:07 EDT
We've updated qt to 2.2.0beta2 a couple of days ago.

Note You need to log in before you can comment on or make changes to this bug.